Subject: Re: [DNA] RE: draft-ietf-dna-link-information-03

From: Jari Arkko <[email-masked]>
Date: Mon, 03 Jul 2006 14:17:09 +0300

Alper Yegin wrote:

>>>Additionally, protocol stack
>>>may also use some upper layer mechanisms to achieve partial protection
>>>against situations where incorrect event notifications are generated
>>>      
>>>
>>(e.g.,
>>    
>>
>>>upper-layer confirmation of the link-layer event).
>>>      
>>>
>>Are you referring to DNA itself here?  (e.g. use of SEND)
>>    
>>
>
>I know the above text is vague. If we try to make it more concrete by giving
>examples, I'm afraid we need to further expand on it as it is not straight
>forward how one can use SEND, etc. to achieve that added protection. 
>
>If we cannot capture a solid solution (even as an example) without
>generating more questions than we answer, I'm inclined to delete the above
>paragraph as it may not help in this form.
>  
>
How about this: "Additionally, the protocol stack may also use some network
layer mechanisms to achieve partial protection. For instance, SEND [RFC
3971]
could be used to confirm secure reachability with a router. However, network
layer mechanisms are unable to deal with all problems, such as with insecure
lower layer notifications that lead to the link not functioning properly.

--Jari

---

From: Alper Yegin <[email-masked]>
Date: Mon, 03 Jul 2006 17:35:11 -0700

> lower layer notifications that lead to the link not functioning properly.

Unless I hear from anyone else, I'll directly incorporate that text.

Thanks Jari.

Alper